=== debian/changelog ===
nvidia-graphics-drivers-525 (525.147.05-0ubuntu2.22.04.1) jammy; urgency=medium

  * End of support for 525 series, transition to 535. LP: #2049635

 -- Bartlomiej Zolnierkiewicz <bartlomiej.zolnierkiewicz@canonical.com>  Tue, 26 Mar 2024 11:59:27 +0100

nvidia-graphics-drivers-525 (525.147.05-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release (LP: #2038514).
  * debian/rules{.defs}:
    - Adjust the anems and URLs to the changes on the Nvidia servers.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 30 Oct 2023 12:33:22 +0100

nvidia-graphics-drivers-525 (525.125.06-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release (LP: #2024675).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 26 Jun 2023 09:06:53 +0000

nvidia-graphics-drivers-525 (525.116.04-0ubuntu0.22.04.2) jammy; urgency=medium

  * debian/templates/control.in:
    - Add transitional packages for 515/open and 510 (LP: #2024247).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 16 Jun 2023 17:00:00 +0000

nvidia-graphics-drivers-525 (525.116.04-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release (LP: #2018979).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 11 May 2023 09:18:34 +0000

nvidia-graphics-drivers-525 (525.105.17-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release (LP: #2012529).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 27 Mar 2023 11:39:05 +0000

nvidia-graphics-drivers-525 (525.89.02-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release (LP: #2006937):
    - Fixed a bug that could cause banding or flickering of color
      gradients on DisplayPort monitors.
  * debian/templates/control.in:
    - Switch libcuda1 and libnvidia-ml1 Provides to libcuda.so.1 and
      libnvidia-ml.so.1. This makes CUDA (from Multiverse) installable
      again.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 28 Feb 2023 10:47:21 +0000

nvidia-graphics-drivers-525 (525.85.05-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release (LP: #2003995):
    - Improved the reliability of suspend and resume on UEFI systems
      when using certain display panels.
    - Fixed a bug that could cause VK_ERROR_DEVICE_LOST when using
      VK_MEMORY_ALLOCATE_DEVICE_ADDRESS_CAPTURE_REPLAY_BIT to
      allocate memory.
    - Disabled Fixed Rate Link (FRL) when using passive DisplayPort
      to HDMI dongles, which are incompatible  with FRL.
  * debian/templates/control.in:
    - Add Conflicts, Replaces, Provides up to libcuda-11.7-1.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 01 Feb 2023 11:50:21 +0000

nvidia-graphics-drivers-525 (525.78.01-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release (LP: #2001703).
  * debian/additional_card_ids,
    debian/additional_runtimepm_ids:
    - Add the missing 2717 ID.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 04 Jan 2023 16:50:08 +0000

nvidia-graphics-drivers-525 (525.60.11-0ubuntu0.22.04.1) jammy; urgency=medium

  * Initial release (LP: #1997087).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 25 Nov 2022 17:19:06 +0000
