=== debian/control ===
Source: nvidia-graphics-drivers-525
Section: non-free/oldlibs
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders:
 Alberto Milone <alberto.milone@canonical.com>,
Vcs-Git: git://github.com/tseliot/nvidia-graphics-drivers.git
Vcs-Browser: https://github.com/tseliot/nvidia-graphics-drivers/tree/525
Build-Depends:
 debhelper (>= 9),
 dpkg-dev (>= 1.17.11~),
 xz-utils,
 dkms,
 libxext6,
 quilt,
 po-debconf,
 dh-modaliases,
 xserver-xorg-dev (>= 2:1.4),
 libglvnd-dev,
 libkmod-dev,
 libpciaccess-dev,
 pkg-config,
 libnvidia-egl-wayland1,
 libc6,
 libx11-6,
 python3,
Standards-Version: 4.1.1
Homepage: http://www.nvidia.com
XS-Autobuild: yes

Package: nvidia-driver-525
Architecture: amd64 arm64
Section: non-free/oldlibs
Multi-Arch: no
Depends: nvidia-driver-535
Description: NVIDIA driver metapackage (transitional package)
 Transitional package for upgrades. This package can be safely removed.

Package: nvidia-kernel-source-525
Architecture: amd64 arm64
Section: non-free/oldlibs
Multi-Arch: foreign
Depends: nvidia-kernel-source-535
Description: NVIDIA kernel source package (transitional package)
 Transitional package for upgrades. This package can be safely removed.

Package: nvidia-dkms-525
Architecture: amd64 arm64
Section: non-free/oldlibs
Multi-Arch: foreign
Depends: nvidia-dkms-535
Description: NVIDIA DKMS package (transitional package)
 Transitional package for upgrades. This package can be safely removed.

Package: nvidia-utils-525
Architecture: amd64 arm64
Section: non-free/oldlibs
Multi-Arch: no
Depends: nvidia-utils-535
Description: NVIDIA driver support binaries (transitional package)
 Transitional package for upgrades. This package can be safely removed.

Package: libnvidia-compute-525
Architecture: i386 amd64 arm64
Section: non-free/oldlibs
Multi-Arch: same
Depends: libnvidia-compute-535
Description: NVIDIA libcompute package (transitional package)
 Transitional package for upgrades. This package can be safely removed.

Package: nvidia-compute-utils-525
Architecture: amd64 arm64
Section: non-free/oldlibs
Multi-Arch: no
Depends: nvidia-compute-utils-535
Description: NVIDIA compute utilities (transitional package)
 Transitional package for upgrades. This package can be safely removed.

Package: nvidia-headless-no-dkms-525
Architecture: amd64 arm64
Section: non-free/oldlibs
Multi-Arch: no
Depends: nvidia-headless-no-dkms-535
Description: NVIDIA headless metapackage - no DKMS (transitional package)
 Transitional package for upgrades. This package can be safely removed.

Package: nvidia-headless-525
Architecture: amd64 arm64
Section: non-free/oldlibs
Multi-Arch: no
Depends: nvidia-headless-535
Description: NVIDIA headless metapackage (transitional package)
 Transitional package for upgrades. This package can be safely removed.

Package: nvidia-kernel-common-525
Architecture: amd64 arm64
Section: non-free/oldlibs
Multi-Arch: no
Depends: nvidia-kernel-common-535
Description: Shared files used with the kernel module (transitional package)
 Transitional package for upgrades. This package can be safely removed.

Package: libnvidia-gl-525
Architecture: i386 amd64 arm64
Section: non-free/oldlibs
Multi-Arch: same
Depends: libnvidia-gl-535
Description: NVIDIA OpenGL/GLX/EGL/GLES GLVND libraries and Vulkan ICD (transitional package)
 Transitional package for upgrades. This package can be safely removed.

Package: libnvidia-common-525
Architecture: all
Section: non-free/oldlibs
Multi-Arch: foreign
Depends: libnvidia-common-535
Description: Shared files used by the NVIDIA libraries (transitional package)
 Transitional package for upgrades. This package can be safely removed.

Package: libnvidia-extra-525
Architecture: i386 amd64 arm64
Section: non-free/oldlibs
Multi-Arch: same
Depends: libnvidia-extra-535
Description: Extra libraries for the NVIDIA driver (transitional package)
 Transitional package for upgrades. This package can be safely removed.

Package: xserver-xorg-video-nvidia-525
Architecture: amd64 arm64
Section: non-free/oldlibs
Multi-Arch: no
Depends: xserver-xorg-video-nvidia-535
Description: NVIDIA binary Xorg driver (transitional package)
 Transitional package for upgrades. This package can be safely removed.

Package: libnvidia-cfg1-525
Architecture: amd64 arm64
Section: non-free/oldlibs
Multi-Arch: same
Depends: libnvidia-cfg1-535
Description: NVIDIA binary OpenGL/GLX configuration library (transitional package)
 Transitional package for upgrades. This package can be safely removed.

Package: libnvidia-fbc1-525
Architecture: i386 amd64 arm64
Section: non-free/oldlibs
Multi-Arch: same
Depends: libnvidia-fbc1-535
Description: NVIDIA OpenGL-based Framebuffer Capture runtime library (transitional package)
 Transitional package for upgrades. This package can be safely removed.

Package: libnvidia-decode-525
Architecture: i386 amd64 arm64
Section: non-free/oldlibs
Multi-Arch: same
Depends: libnvidia-decode-535
Description: NVIDIA Video Decoding runtime libraries (transitional package)
 Transitional package for upgrades. This package can be safely removed.

Package: libnvidia-encode-525
Architecture: i386 amd64 arm64
Section: non-free/oldlibs
Multi-Arch: same
Depends: libnvidia-encode-535
Description: NVENC Video Encoding runtime library (transitional package)
 Transitional package for upgrades. This package can be safely removed.

Package: nvidia-driver-525-open
Architecture: amd64 arm64
Section: non-free/oldlibs
Multi-Arch: no
Depends: nvidia-driver-535-open
Description: NVIDIA driver (open kernel) metapackage (transitional package)
 Transitional package for upgrades. This package can be safely removed.

Package: nvidia-kernel-source-525-open
Architecture: amd64 arm64
Section: non-free/oldlibs
Multi-Arch: foreign
Depends: nvidia-kernel-source-535-open
Description: NVIDIA kernel source package (transitional package)
 Transitional package for upgrades. This package can be safely removed.

Package: nvidia-dkms-525-open
Architecture: amd64 arm64
Section: non-free/oldlibs
Multi-Arch: foreign
Depends: nvidia-dkms-535-open
Description: NVIDIA DKMS package (open kernel module) (transitional package)
 Transitional package for upgrades. This package can be safely removed.

Package: nvidia-headless-no-dkms-525-open
Architecture: amd64 arm64
Section: non-free/oldlibs
Multi-Arch: no
Depends: nvidia-headless-no-dkms-535-open
Description: NVIDIA headless metapackage - no DKMS (open kernel module) (transitional package)
 Transitional package for upgrades. This package can be safely removed.

Package: nvidia-headless-525-open
Architecture: amd64 arm64
Section: non-free/oldlibs
Multi-Arch: no
Depends: nvidia-headless-535-open
Description: NVIDIA headless metapackage (open kernel module) (transitional package)
 Transitional package for upgrades. This package can be safely removed.

Package: nvidia-driver-520
Architecture: amd64 arm64
Depends: nvidia-driver-535
Multi-Arch: foreign
Description: Transitional package for nvidia-driver-535
 This is a transitional package for nvidia-driver-535, and can be
 safely removed after the installation is complete.

Package: nvidia-kernel-source-520
Architecture: amd64 arm64
Depends: nvidia-kernel-source-535
Multi-Arch: foreign
Description: Transitional package for nvidia-kernel-source-535
 This is a transitional package for nvidia-kernel-source-535, and can be
 safely removed after the installation is complete.

Package: nvidia-dkms-520
Architecture: amd64 arm64
Depends: nvidia-dkms-535
Multi-Arch: foreign
Description: Transitional package for nvidia-dkms-535
 This is a transitional package for nvidia-dkms-535, and can be
 safely removed after the installation is complete.

Package: nvidia-utils-520
Architecture: amd64 arm64
Depends: nvidia-utils-535
Multi-Arch: same
Description: Transitional package for nvidia-utils-535
 This is a transitional package for nvidia-utils-535, and can be
 safely removed after the installation is complete.

Package: libnvidia-compute-520
Architecture: i386 amd64 arm64
Depends: libnvidia-compute-535
Multi-Arch: same
Description: Transitional package for libnvidia-compute-535
 This is a transitional package for libnvidia-compute-535, and can be
 safely removed after the installation is complete.

Package: nvidia-compute-utils-520
Architecture: amd64 arm64
Depends: nvidia-compute-utils-535
Multi-Arch: same
Description: Transitional package for nvidia-compute-utils-535
 This is a transitional package for nvidia-compute-utils-535, and can be
 safely removed after the installation is complete.

Package: nvidia-headless-no-dkms-520
Architecture: amd64 arm64
Depends: nvidia-headless-no-dkms-535
Multi-Arch: same
Description: Transitional package for nvidia-headless-no-dkms-535
 This is a transitional package for nvidia-headless-no-dkms-535, and can be
 safely removed after the installation is complete.

Package: nvidia-headless-520
Architecture: amd64 arm64
Depends: nvidia-headless-535
Multi-Arch: same
Description: Transitional package for nvidia-headless-535
 This is a transitional package for nvidia-headless-535, and can be
 safely removed after the installation is complete.

Package: nvidia-kernel-common-520
Architecture: amd64 arm64
Depends: nvidia-kernel-common-535
Multi-Arch: same
Description: Transitional package for nvidia-kernel-common-535
 This is a transitional package for nvidia-kernel-common-535, and can be
 safely removed after the installation is complete.

Package: libnvidia-gl-520
Architecture: i386 amd64 arm64
Depends: libnvidia-gl-535
Multi-Arch: same
Description: Transitional package for libnvidia-gl-535
 This is a transitional package for libnvidia-gl-535, and can be
 safely removed after the installation is complete.

Package: libnvidia-common-520
Architecture: all
Depends: libnvidia-common-535
Multi-Arch: foreign
Description: Transitional package for libnvidia-common-535
 This is a transitional package for libnvidia-common-535, and can be
 safely removed after the installation is complete.

Package: libnvidia-extra-520
Architecture: i386 amd64 arm64
Depends: libnvidia-extra-535
Multi-Arch: same
Description: Transitional package for libnvidia-extra-535
 This is a transitional package for libnvidia-extra-535, and can be
 safely removed after the installation is complete.

Package: xserver-xorg-video-nvidia-520
Architecture: amd64 arm64
Depends: xserver-xorg-video-nvidia-535
Multi-Arch: same
Description: Transitional package for xserver-xorg-video-nvidia-535
 This is a transitional package for xserver-xorg-video-nvidia-535, and can be
 safely removed after the installation is complete.

Package: libnvidia-cfg1-520
Architecture: amd64 arm64
Depends: libnvidia-cfg1-535
Multi-Arch: same
Description: Transitional package for libnvidia-cfg1-535
 This is a transitional package for libnvidia-cfg1-535, and can be
 safely removed after the installation is complete.

Package: libnvidia-fbc1-520
Architecture: i386 amd64 arm64
Depends: libnvidia-fbc1-535
Multi-Arch: same
Description: Transitional package for libnvidia-fbc1-535
 This is a transitional package for libnvidia-fbc1-535, and can be
 safely removed after the installation is complete.

Package: libnvidia-decode-520
Architecture: i386 amd64 arm64
Depends: libnvidia-decode-535
Multi-Arch: same
Description: Transitional package for libnvidia-decode-535
 This is a transitional package for libnvidia-decode-535, and can be
 safely removed after the installation is complete.

Package: libnvidia-encode-520
Architecture: i386 amd64 arm64
Depends: libnvidia-encode-535
Multi-Arch: same
Description: Transitional package for libnvidia-encode-535
 This is a transitional package for libnvidia-encode-535, and can be
 safely removed after the installation is complete.

Package: nvidia-driver-520-open
Architecture: amd64 arm64
Depends: nvidia-driver-535
Multi-Arch: foreign
Description: Transitional package for nvidia-driver-535
 This is a transitional package for nvidia-driver-535, and can be
